Mariadb、EF6.0框架使用

工欲善其事,必先利其器

不废话  先去安装相关工具

1、mariadb-10.1.20-winx64.msi

2、mysql-connector-net-6.10.8.msi

3、mysql-for-visualstudio-1.2.6.msi

项目中Nuget包:

Install-Package EntityFramework -Version 6.2.0
Install-Package EntityFramework.zh-Hans -Version 6.2.0
Install-Package MySql.Data 6.10.8
Install-Package MySql.Data.Entity.EF6 6.10.8

 

在使用EF的实体框架时,出现EF实体框架6.x无法使用、闪退,请修改配置文件

 

MySql.Data 、MySql.Data.Entity.EF6 一定要与 mysql-connector-net 的版本一致

 

 

展开阅读全文

没有更多推荐了,返回首页